/*
 * Author:
 *         Kendy Kutzner <kutzner@ira.uka.de>
 *
 * (c) 2005 Research Group Dr. Fuhrmann, University of Karlsruhe, Germany
 * All rights reserved.
 *
 * $Id: noderef.h,v 1.7 2005/11/21 10:46:57 kutzner Exp $
 *
 */

#ifndef _NODEREF_H_
#define _NODEREF_H_

#include <string>
using namespace std;

#include "id.h"
#include "transport.h"

class noderef : public id, public transport{
	public:
		noderef();
		noderef(id);
		noderef(id,transport);
		noderef(string);
		string tostring() const;
		void update(string);
		void update(noderef);
		bool empty() const;
		bool sameid(noderef &) const;
		bool sametransport(noderef &) const;
		
	private:

};


#endif

